# Package must be arch specific because there are deps on arm that are missing
%global codename sphericalcow
%global debug_package %{nil}

%global with_xfce 0
%global with_kde  0

Name:       rocky-logos
Version:    90.0
Release:    2%{?dist}
Summary:    Rocky Linux related icons and pictures

Group:      System Environment/Base
URL:        https://www.rockylinux.org

Source0:    https://github.com/rocky-linux/%{name}/%{name}-%{version}.tar.xz
License:    Licensed only for approved usage, see COPYING for details.

Obsoletes:  %{name} < 80.1-2
Obsoletes:  redhat-logos < 80.1-2
Provides:   system-logos = %{version}-%{release}
Provides:   redhat-logos = %{version}-%{release}

Conflicts:  anaconda-images <= 10
Conflicts:  redhat-artwork <= 5.0.5

# No mixing logos
Conflicts:  centos-logos
Conflicts:  almalinux-logos
Conflicts:  oracle-logos

# All build requires
BuildRequires: hardlink
# For splashtolss.sh
%ifarch x86_64 i686
BuildRequires: netpbm-progs
BuildRequires: syslinux-perl
%endif

# All requires
Requires(post): coreutils

%description
Licensed only for approved usage, see COPYING for details.

%package httpd
Summary: Rocky Linux related icons and pictures used by httpd
Provides: system-logos-httpd = %{version}-%{release}
Provides: redhat-logos-httpd = %{version}-%{release}
Provides: system-logos(httpd-logo-ng)
BuildArch: noarch

%description httpd
Licensed only for approved usage, see COPYING for details.

%package ipa
Summary: Rocky Linux related icons and pictures used by FreeIPA
Provides: system-logos-ipa = %{version}-%{release}
Provides: redhat-logos-ipa = %{version}-%{release}
BuildArch: noarch

%description ipa
Licensed only for approved usage, see COPYING for details.

%package -n rocky-backgrounds
Summary: Rocky Linux related desktop backgrounds
BuildArch: noarch

Obsoletes: redhat-logos < 80.1-2
Provides:  system-backgrounds = %{version}-%{release}
Requires:  redhat-logos = %{version}-%{release}

%description -n rocky-backgrounds
Licensed only for approved usage, see COPYING for details.

%if %{with_xfce}
%package -n rocky-backgrounds-xfce
Summary: Rocky Linux related desktop backgrounds for XFCE
BuildArch: noarch
Requires:  system-backgrounds = %{version}-%{release}
Requires:  xfdesktop

%description -n rocky-backgrounds-xfce
Backgrounds for XFCE support.

Licensed only for approved usage, see COPYING for details.
%endif

%if %{with_kde}
%package -n rocky-backgrounds-kde
Summary: Rocky Linux related desktop backgrounds for KDE
BuildArch: noarch
Requires:  system-backgrounds = %{version}-%{release}
Requires:  kde-filesystem

%description -n rocky-backgrounds-kde
Backgrounds for KDE support.

Licensed only for approved usage, see COPYING for details.
%endif

%prep
%setup -q

%build

%install
################################################################################
# Backgrounds
mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/
for x in backgrounds/*.png backgrounds/rocky-*.xml; do
  install -p -m 644 $x $RPM_BUILD_ROOT%{_datadir}/backgrounds/
done

# Set an absolute default
ln -s /usr/share/backgrounds/rocky-default-1-target-4-3.png \
  $RPM_BUILD_ROOT%{_datadir}/backgrounds/default.png

%if %{with_xfce}
# XFCE Backgrounds
mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/images

ln -s /usr/share/backgrounds/rocky-default-1-target-4-3.png \
  $RPM_BUILD_ROOT%{_datadir}/backgrounds/images/default.png
ln -s /usr/share/backgrounds/rocky-default-1-target-16-9.png \
  $RPM_BUILD_ROOT%{_datadir}/backgrounds/images/default-16_9.png
ln -s /usr/share/backgrounds/rocky-default-1-target-16-10.png \
  $RPM_BUILD_ROOT%{_datadir}/backgrounds/images/default-16_10.png
ln -s /usr/share/backgrounds/rocky-default-1-target-5-4.png \
  $RPM_BUILD_ROOT%{_datadir}/backgrounds/images/default-5_4.png
%endif

%if %{with_kde}
# KDE Backgrounds
## Waiting for backgrounds from the community!
%endif

# Backgrounds
################################################################################

# glib 2.0 schemas
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
install -p -m 644 backgrounds/10_org.gnome.desktop.background.default.gschema.override \
  $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas
install -p -m 644 backgrounds/10_org.gnome.desktop.screensaver.default.gschema.override \
  $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas

# gnome background properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/
install -p -m 644 backgrounds/desktop-backgrounds-default.xml \
  $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

# first boot theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-%{codename}/
for i in firstboot/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-%{codename}/
done

# pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

# plymouth theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
for i in plymouth/charge/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/charge
done

# icons
for size in 16x16 22x22 24x24 32x32 36x36 48x48 96x96 256x256 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  done
done

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_datadir}/icons/hicolor/16x16/apps/fedora-logo-icon.png favicon.png
popd

# icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/xfce4_xicon1.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 icons/hicolor/scalable/apps/fedora-logo-icon.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/start-here.svg
install -p -m 644 icons/hicolor/scalable/apps/org.fedoraproject.AnacondaInstaller.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/org.fedoraproject.AnacondaInstaller.svg

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/symbolic/apps
install -p -m 644 icons/hicolor/symbolic/apps/org.fedoraproject.AnacondaInstaller-symbolic.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/symbolic/apps/org.fedoraproject.AnacondaInstaller-symbolic.svg

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
pushd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/places/
ln -s ../apps/start-here.svg .
popd

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a fedora/*.svg $RPM_BUILD_ROOT%{_datadir}/%{name}
pushd $RPM_BUILD_ROOT%{_datadir}
ln -s %{name} redhat-logos
popd

# FreeIPA images
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images
cp -a ipa/*.png $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images
cp -a ipa/*.jpg $RPM_BUILD_ROOT%{_datadir}/ipa/ui/images

# Test page
mkdir -p $RPM_BUILD_ROOT%{_datadir}/testpage/
cp -a testpage/index.html $RPM_BUILD_ROOT%{_datadir}/testpage/

# Some icons are duplicates, let's hardlink.
# Except in /boot. Because some people think it is fun to use VFAT for /boot.
hardlink -v %{buildroot}/usr

# Only for x86
%ifnarch x86_64 i686
rm -f $RPM_BUILD_ROOT%{_datadir}/anaconda/boot/splash.lss
%endif

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/glib-2.0/schemas/*.override
%{_datadir}/firstboot/themes/fedora-%{codename}/
%{_datadir}/plymouth/themes/charge/

%{_datadir}/pixmaps/*
%exclude %{_datadir}/pixmaps/poweredby.png
%{_datadir}/anaconda/pixmaps/*
%ifarch x86_64 i686
%{_datadir}/anaconda/boot/splash.lss
%endif
%{_datadir}/anaconda/boot/syslinux-splash.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/places/*
%{_datadir}/%{name}/
%{_datadir}/redhat-logos

# The below directories are multi-owned, that way we don't pull in
# excess dependencies.
%dir %{_datadir}/backgrounds
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/16x16/
%dir %{_datadir}/icons/hicolor/16x16/apps/
%dir %{_datadir}/icons/hicolor/22x22/
%dir %{_datadir}/icons/hicolor/22x22/apps/
%dir %{_datadir}/icons/hicolor/24x24/
%dir %{_datadir}/icons/hicolor/24x24/apps/
%dir %{_datadir}/icons/hicolor/32x32/
%dir %{_datadir}/icons/hicolor/32x32/apps/
%dir %{_datadir}/icons/hicolor/36x36/
%dir %{_datadir}/icons/hicolor/36x36/apps/
%dir %{_datadir}/icons/hicolor/48x48/
%dir %{_datadir}/icons/hicolor/48x48/apps/
%dir %{_datadir}/icons/hicolor/96x96/
%dir %{_datadir}/icons/hicolor/96x96/apps/
%dir %{_datadir}/icons/hicolor/256x256/
%dir %{_datadir}/icons/hicolor/256x256/apps/
%dir %{_datadir}/icons/hicolor/scalable/
%dir %{_datadir}/icons/hicolor/scalable/apps/
%dir %{_datadir}/icons/hicolor/scalable/places/
%dir %{_datadir}/icons/hicolor/symbolic/
%dir %{_datadir}/icons/hicolor/symbolic/apps/
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/boot/
%dir %{_datadir}/anaconda/pixmaps
%dir %{_datadir}/firstboot/
%dir %{_datadir}/firstboot/themes/
%dir %{_datadir}/plymouth/
%dir %{_datadir}/plymouth/themes/

%files httpd
%license COPYING
%{_datadir}/pixmaps/poweredby.png
%{_datadir}/testpage
%{_datadir}/testpage/index.html

%files ipa
%license COPYING
%{_datadir}/ipa/ui/images/*
# The below directories are multi-owned, that way we don't pull in
# excess dependencies.
%dir %{_datadir}/ipa
%dir %{_datadir}/ipa/ui
%dir %{_datadir}/ipa/ui/images

%files -n rocky-backgrounds
%license COPYING Attribution
%{_datadir}/backgrounds/*
%{_datadir}/gnome-background-properties/*
%if %{with_xfce}
%exclude %{_datadir}/backgrounds/images/*

%files -n rocky-backgrounds-xfce
%license COPYING
#%{_datadir}/backgrounds/default.png
%{_datadir}/backgrounds/images/*
%endif

%if %{with_kde}
%license COPYING
%files -n rocky-backgrounds-kde
%{_datadir}/wallpapers/name
%endif

%changelog
* Fri Dec 03 2021 Louis Abel <label@rockylinux.org> - 90.0-2
- Add XFCE support and KDE placeholder

* Tue Oct 04 2021 Louis Abel <label@rockylinux.org> - 90.0-1
- Init for Rocky Linux 9 (Blue Onyx)
